Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri del percorso
name
string
necessario
Name of the model.
version
string
necessario
Version of the model.
Corpo della richiesta
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
necessario
The type of pending upload. Only TemporaryBlobReference is supported for models.
Risposte
The request has succeeded.
Corpo
blobReference
BlobReference
necessario
Blob reference details.
blobUri
string
necessario
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
necessario
ARM ID of the storage account to use.
credential
SasCredential
necessario
SAS Credential definition
sasUri
string
necessario
SAS uri
type
enum
necessario
Type of credential
pendingUploadId
string
necessario
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
necessario
The type of pending upload. Only TemporaryBlobReference is supported for models.
Richiedi
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json